Approve a booking
curl --request POST \
--url https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/approve \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'POST', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/approve"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"message": "Booking approved successfully"
}API v1 (deprecated)
Approve booking
Approve a booking. The booking must be in awaiting_approval status.
POST
/
bookings
/
{booking_sid}
/
approve
Approve a booking
curl --request POST \
--url https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/approve \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'POST', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v1/bookings/{booking_sid}/approve"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"message": "Booking approved successfully"
}In API v2, approve, reject, cancel, and reschedule are handled by one endpoint: Update a booking (
PATCH /bookings/{booking_id}), not separate routes.Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
SID of the booking that you want to approve.
Example:
"8sqtzrs"
Response
200 - application/json
OK - Booking approved successfully
Example:
"Booking approved successfully"